@import "../../theme/palette";
@import "../../theme/typography";

.footer-section {
  background-color: $color_black;
  padding: 50px;
  text-align: center;
}

.footer-header {
  @include text_header(true, true);
  color: $color_white;
}

.footer-text {
  @include text_regular;
  display: block;
  margin-bottom: 10px;
}

.sm-buttons-container {
  display: flex;
  justify-content: center;
  margin-bottom: 10px;
}

@mixin sm-button($color) {
  margin: 3px;
  width: 34px;
  height: 34px;
  border-radius: 50%;
  border: 2px solid $color;
  transition: border 0.5s ease;
  display: flex;
  justify-content: center;
  i {
    color: $color;
    transition: color 0.5s ease;
    font-size: 12px;
    align-self: center;
  }
  &:hover {
    i {
      color: lighten($color, 15%);
      transition: color 0.5s ease;
    }

    border: 2px solid lighten($color, 15%);
    transition: border 0.5s ease;
  }
}

.sm-button-rss {
  @include sm-button($color_RSS);
}

.sm-button-facebook {
  @include sm-button($color_facebook);
}

.sm-button-twitter {
  @include sm-button($color_twitter);
}

.sm-button-dribbble {
  @include sm-button($color_dribble);
}

.sm-button-pinterest {
  @include sm-button($color_pinterest);
}
